# class OptionParser::Switch::NoArgument

`Switch` that takes no arguments.

### Public Class Methods

incompatible_argument_styles(*) click to toggle source

    # File lib/optparse.rb, line 713
    def self.incompatible_argument_styles(*)
    end

pattern() click to toggle source

    # File lib/optparse.rb, line 716
    def self.pattern
      Object
    end

### Public Instance Methods

parse(arg, argv) { |NeedlessArgument, arg| ... } click to toggle source

Raises an exception if any arguments given.

    # File lib/optparse.rb, line 708
    def parse(arg, argv)
      yield(NeedlessArgument, arg) if arg
      conv_arg(arg)
    end